XMonad.Prompt

# Usage

mkXPrompt
mkXPromptWithReturn
amberXPConfig
defaultXPConfig
greenXPConfig
data XPType
data XPPosition
data XPConfig
class XPrompt t
type XP
defaultXPKeymap
quit
killBefore
killAfter
startOfLine
endOfLine
pasteString
copyString
moveCursor
moveWord
killWord
deleteString
moveHistory
setSuccess
setDone
data Direction1D
type ComplFunction

# X Utilities

mkUnmanagedWindow
fillDrawable

# Other Utilities

mkComplFunFromList
mkComplFunFromList'

# `nextCompletion` implementations

getNextOfLastWord
getNextCompletion

# List utilities

getLastWord
skipLastWord
splitInSubListsAt
breakAtSpace
uniqSort
decodeInput
encodeOutput
historyCompletion
historyCompletionP

# History filters

deleteAllDuplicates
deleteConsecutive